Bug 107273 - redhat-config-network-cmd fails to update IP address from DHCP to static
Summary: redhat-config-network-cmd fails to update IP address from DHCP to static
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rcn-profiling
TreeView+ depends on / blocked
 
Reported: 2003-10-16 13:31 UTC by Matthew Lavigne
Modified: 2007-04-18 16:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 18:53:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Lavigne 2003-10-16 13:31:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030922
Mozilla Firebird/0.6.1

Description of problem:
when multiple profiles are defined with Aliases as defined on
http://www.redhat.com/docs/manuals/linux/RHL-8.0-Manual/custom-guide/s1-network-profiles.html
with the following attributes

Profiles
9dot - defined as DHCP
Internal - defined as static IP of 172.16.0.16

Aliases of ETH0
eth0_9dot is bound to 9dot profile
eth0_internal is bound to the Internal profile.

if the following command is executed

redhat-config-network-cmd -p 9dot -a 

then the eth0 interface is taken down and then restarted.  Upon restart a DHCP
address is obtained and all is well(ie all other profile information is changed
correctly)

if the following command is executed

redhat-config-network-cmd -p Internal -a

then the interface is taken down and then restarted and all profile information
is correctly BUT the IP address  remains the DHCP address UNTIL the "service
network restart" command is issued.
 


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.15-1, redhat-config-network-tui-1.2.15-1 

How reproducible:
Always

Steps to Reproduce:
1.setup  2 profiles.
2. setup 2 Aliases for those profiles 1 DHCP the other a static IP
3. change from the static to DHCP functions correctly
4. change from the DHCP to static IP address does not change.
    

Actual Results:  IP address was not updated to the Static IP

Expected Results:  for the IP to change to reflect the correct IP address
without having to perform the "service network restart" command

Additional info:

if the network service is restarted then all is well but I only have to restart
the network when going from DHCP to static.  The results are inconsistent.

Comment 1 Bill Nottingham 2006-08-05 04:14:32 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 3 Bill Nottingham 2007-01-02 18:53:39 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.